package com.sinosig.core.external.domain;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.math.BigInteger;
import java.util.HashMap;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import java.io.Serializable;

/**
 * 实体[厂牌型号]
 */
public class CPXH implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 功率 属性
     */
    private Double Gl;

    @JsonIgnore
    private boolean GlDirtyFlag;

    /**
     * 别名 属性
     */
    private String Bm;

    @JsonIgnore
    private boolean BmDirtyFlag;

    /**
     * 号牌底色 属性
     */
    private String Hpds;

    @JsonIgnore
    private boolean HpdsDirtyFlag;

    /**
     * 备注 属性
     */
    private String Bz;

    @JsonIgnore
    private boolean BzDirtyFlag;

    /**
     * 厂牌型号名称 属性
     */
    private String CPXHName;

    @JsonIgnore
    private boolean CPXHNameDirtyFlag;

    /**
     * 新车购置价 属性
     */
    private BigDecimal Xcgzj;

    @JsonIgnore
    private boolean XcgzjDirtyFlag;

    /**
     * 上市年份 属性
     */
    private String Ssnf;

    @JsonIgnore
    private boolean SsnfDirtyFlag;

    /**
     * 核定载质量 属性
     */
    private Double Hdzzl;

    @JsonIgnore
    private boolean HdzzlDirtyFlag;

    /**
     * 建立时间 属性
     */
    private Timestamp CreateDate;

    @JsonIgnore
    private boolean CreateDateDirtyFlag;

    /**
     * A/B类 属性
     */
    private String Abl;

    @JsonIgnore
    private boolean AblDirtyFlag;

    /**
     * 车辆类型描述 属性
     */
    private String Cllxms;

    @JsonIgnore
    private boolean CllxmsDirtyFlag;

    /**
     * 核定载客 属性
     */
    private Integer Hdzk;

    @JsonIgnore
    private boolean HdzkDirtyFlag;

    /**
     * 整备质量 属性
     */
    private Double Zbzl;

    @JsonIgnore
    private boolean ZbzlDirtyFlag;

    /**
     * 更新时间 属性
     */
    private Timestamp UpdateDate;

    @JsonIgnore
    private boolean UpdateDateDirtyFlag;

    /**
     * 品牌 属性
     */
    private String Pp;

    @JsonIgnore
    private boolean PpDirtyFlag;

    /**
     * 打印厂牌型号 属性
     */
    private String Dycpxh;

    @JsonIgnore
    private boolean DycpxhDirtyFlag;

    /**
     * 建立人 属性
     */
    private String CreateMan;

    @JsonIgnore
    private boolean CreateManDirtyFlag;

    /**
     * 车型代码 属性
     */
    private String Cxdm;

    @JsonIgnore
    private boolean CxdmDirtyFlag;

    /**
     * 排量 属性
     */
    private Double Pl;

    @JsonIgnore
    private boolean PlDirtyFlag;

    /**
     * 厂牌型号标识 属性
     */
    private String CPXHId;

    @JsonIgnore
    private boolean CPXHIdDirtyFlag;

    /**
     * 生产厂商 属性
     */
    private String Sccs;

    @JsonIgnore
    private boolean SccsDirtyFlag;

    /**
     * 车辆实际价值 属性
     */
    private BigDecimal Clsjjz;

    @JsonIgnore
    private boolean ClsjjzDirtyFlag;

    /**
     * 更新人 属性
     */
    private String UpdateMan;

    @JsonIgnore
    private boolean UpdateManDirtyFlag;

    /**
     * 车系 属性
     */
    private String Cx;

    @JsonIgnore
    private boolean CxDirtyFlag;


    /**
     * 获取 [功率]
     */
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }

    /**
     * 获取 [功率]脏标记
     */
    @JsonIgnore
    public boolean getGlDirtyFlag(){
        return GlDirtyFlag ;
    }
    /**
     * 获取 [别名]
     */
    public String getBm(){
        return Bm ;
    }

    /**
     * 设置 [别名]
     */
    public void setBm(String  bm){
        this.Bm = bm ;
        this.BmDirtyFlag = true ;
    }

    /**
     * 获取 [别名]脏标记
     */
    @JsonIgnore
    public boolean getBmDirtyFlag(){
        return BmDirtyFlag ;
    }
    /**
     * 获取 [号牌底色]
     */
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }

    /**
     * 获取 [号牌底色]脏标记
     */
    @JsonIgnore
    public boolean getHpdsDirtyFlag(){
        return HpdsDirtyFlag ;
    }
    /**
     * 获取 [备注]
     */
    public String getBz(){
        return Bz ;
    }

    /**
     * 设置 [备注]
     */
    public void setBz(String  bz){
        this.Bz = bz ;
        this.BzDirtyFlag = true ;
    }

    /**
     * 获取 [备注]脏标记
     */
    @JsonIgnore
    public boolean getBzDirtyFlag(){
        return BzDirtyFlag ;
    }
    /**
     * 获取 [厂牌型号名称]
     */
    public String getCPXHName(){
        return CPXHName ;
    }

    /**
     * 设置 [厂牌型号名称]
     */
    public void setCPXHName(String  cPXHName){
        this.CPXHName = cPXHName ;
        this.CPXHNameDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号名称]脏标记
     */
    @JsonIgnore
    public boolean getCPXHNameDirtyFlag(){
        return CPXHNameDirtyFlag ;
    }
    /**
     * 获取 [新车购置价]
     */
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }

    /**
     * 获取 [新车购置价]脏标记
     */
    @JsonIgnore
    public boolean getXcgzjDirtyFlag(){
        return XcgzjDirtyFlag ;
    }
    /**
     * 获取 [上市年份]
     */
    public String getSsnf(){
        return Ssnf ;
    }

    /**
     * 设置 [上市年份]
     */
    public void setSsnf(String  ssnf){
        this.Ssnf = ssnf ;
        this.SsnfDirtyFlag = true ;
    }

    /**
     * 获取 [上市年份]脏标记
     */
    @JsonIgnore
    public boolean getSsnfDirtyFlag(){
        return SsnfDirtyFlag ;
    }
    /**
     * 获取 [核定载质量]
     */
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }

    /**
     * 获取 [核定载质量]脏标记
     */
    @JsonIgnore
    public boolean getHdzzlDirtyFlag(){
        return HdzzlDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

    /**
     * 获取 [建立时间]脏标记
     */
    @JsonIgnore
    public boolean getCreateDateDirtyFlag(){
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [A/B类]
     */
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }

    /**
     * 获取 [A/B类]脏标记
     */
    @JsonIgnore
    public boolean getAblDirtyFlag(){
        return AblDirtyFlag ;
    }
    /**
     * 获取 [车辆类型描述]
     */
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }

    /**
     * 获取 [车辆类型描述]脏标记
     */
    @JsonIgnore
    public boolean getCllxmsDirtyFlag(){
        return CllxmsDirtyFlag ;
    }
    /**
     * 获取 [核定载客]
     */
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }

    /**
     * 获取 [核定载客]脏标记
     */
    @JsonIgnore
    public boolean getHdzkDirtyFlag(){
        return HdzkDirtyFlag ;
    }
    /**
     * 获取 [整备质量]
     */
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }

    /**
     * 获取 [整备质量]脏标记
     */
    @JsonIgnore
    public boolean getZbzlDirtyFlag(){
        return ZbzlDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

    /**
     * 获取 [更新时间]脏标记
     */
    @JsonIgnore
    public boolean getUpdateDateDirtyFlag(){
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [品牌]
     */
    public String getPp(){
        return Pp ;
    }

    /**
     * 设置 [品牌]
     */
    public void setPp(String  pp){
        this.Pp = pp ;
        this.PpDirtyFlag = true ;
    }

    /**
     * 获取 [品牌]脏标记
     */
    @JsonIgnore
    public boolean getPpDirtyFlag(){
        return PpDirtyFlag ;
    }
    /**
     * 获取 [打印厂牌型号]
     */
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }

    /**
     * 获取 [打印厂牌型号]脏标记
     */
    @JsonIgnore
    public boolean getDycpxhDirtyFlag(){
        return DycpxhDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

    /**
     * 获取 [建立人]脏标记
     */
    @JsonIgnore
    public boolean getCreateManDirtyFlag(){
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [车型代码]
     */
    public String getCxdm(){
        return Cxdm ;
    }

    /**
     * 设置 [车型代码]
     */
    public void setCxdm(String  cxdm){
        this.Cxdm = cxdm ;
        this.CxdmDirtyFlag = true ;
    }

    /**
     * 获取 [车型代码]脏标记
     */
    @JsonIgnore
    public boolean getCxdmDirtyFlag(){
        return CxdmDirtyFlag ;
    }
    /**
     * 获取 [排量]
     */
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }

    /**
     * 获取 [排量]脏标记
     */
    @JsonIgnore
    public boolean getPlDirtyFlag(){
        return PlDirtyFlag ;
    }
    /**
     * 获取 [厂牌型号标识]
     */
    public String getCPXHId(){
        return CPXHId ;
    }

    /**
     * 设置 [厂牌型号标识]
     */
    public void setCPXHId(String  cPXHId){
        this.CPXHId = cPXHId ;
        this.CPXHIdDirtyFlag = true ;
    }

    /**
     * 获取 [厂牌型号标识]脏标记
     */
    @JsonIgnore
    public boolean getCPXHIdDirtyFlag(){
        return CPXHIdDirtyFlag ;
    }
    /**
     * 获取 [生产厂商]
     */
    public String getSccs(){
        return Sccs ;
    }

    /**
     * 设置 [生产厂商]
     */
    public void setSccs(String  sccs){
        this.Sccs = sccs ;
        this.SccsDirtyFlag = true ;
    }

    /**
     * 获取 [生产厂商]脏标记
     */
    @JsonIgnore
    public boolean getSccsDirtyFlag(){
        return SccsDirtyFlag ;
    }
    /**
     * 获取 [车辆实际价值]
     */
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }

    /**
     * 获取 [车辆实际价值]脏标记
     */
    @JsonIgnore
    public boolean getClsjjzDirtyFlag(){
        return ClsjjzDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

    /**
     * 获取 [更新人]脏标记
     */
    @JsonIgnore
    public boolean getUpdateManDirtyFlag(){
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [车系]
     */
    public String getCx(){
        return Cx ;
    }

    /**
     * 设置 [车系]
     */
    public void setCx(String  cx){
        this.Cx = cx ;
        this.CxDirtyFlag = true ;
    }

    /**
     * 获取 [车系]脏标记
     */
    @JsonIgnore
    public boolean getCxDirtyFlag(){
        return CxDirtyFlag ;
    }
}

